#ifndef OUTPUTDIALOG_H
#define OUTPUTDIALOG_H

#include "check/check.h"
#include "output/output_options.h"
#include <QComboBox>
#include <QDialog>

namespace Ui {
class OutputDialog;
}

class OutputDialog : public QDialog {
    Q_OBJECT

    OutputOptions options;
    Check &check;

public:
    explicit OutputDialog(QWidget *parent = nullptr, Check & = *(new Check()));
    ~OutputDialog();

private slots:
    void on_buttonBox_accepted();

    void on_chooseFileButton_clicked();

    void on_printHeaderCheckBox_stateChanged(int arg1);

    void on_printTotalCheckBox_stateChanged(int arg1);

private:
    Ui::OutputDialog *ui;
};

#endif // OUTPUTDIALOG_H
